<!DOCTYPE html>
<html lang="en">
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />

  <title>
    <%= content_for?(:title) ? yield(:title) : "Portal" %>
  </title>
  <meta name="description" content="<%= yield(:meta_description) %>">

  <%= stylesheet_pack_tag 'application', media: "all", 'data-turbolinks-track': 'reload' %>

  <%= javascript_include_tag "https://js.stripe.com/v3/",
		    data: { key: Rails.application.secrets.stripe_key, stripejs: true } %>
  <%= javascript_pack_tag "application" %>

  <%= csrf_meta_tags %>
</head>

<body class="<%= action_name %> font-fontPrimary" id="<%= controller_name %>">
  <div id="wrap">
    <main role="main">
      <%= render 'shared/header' %>

      <div class="min-h-screen flex overflow-hidden bg-gray-100">
        <%= render "shared/sidebar" %>
        <div class="mx-auto py-10 px-2 md:px-0 w-3/4">
          <%= render 'shared/flashes' %>
          <%= content_for?(:content) ? yield(:content) : yield %>
        </div>
      </div>

    </main>
  </div>
  <%= render 'shared/footer' %>
</body>

</html>
